
h1=1/10;
h2=1/20;
h3=1/50;
[x1,y1]=Beispiel_153(h1);
[x2,y2]=Beispiel_153(h2);
[x3,y3]=Beispiel_153(h3);
yexact=exp(x3);
hold on
ylim([0 3])
plot(x1,y1)
plot(x2,y2)
plot(x3,y3)
plot(x3,yexact,'--')
legend('h1','h2','h3','exakt')



function [xi,yi] = Beispiel_153(h)
% Umsetzung des MSV aus Beispiel 1.53

xi=0:h:1; % Gitter
N=length(xi); % Anzahl Gitterpunkte


% Schreibe/initialisiere yi Matrix
yi=zeros(1,N);
yi(1)=1;
yi(2)=exp(h);

% Eigentliches Mehrschrittverfahren
for i=2:(N-1)
    yi(i+1)=-4*yi(i)+5*yi(i-1)+h*(4*yi(i)+2*yi(i-1));
end
end
